Bug 1508571 - Exporting RSA-PSS keys to PKCS#12 drops the rsa-pss identifier from them [rhel-7]
Summary: Exporting RSA-PSS keys to PKCS#12 drops the rsa-pss identifier from them [rhe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: Ivan Nikolchev
URL:
Whiteboard:
Depends On: 1645231
Blocks: rhel7-rsa-pss-in-nss
TreeView+ depends on / blocked
 
Reported: 2017-11-01 16:59 UTC by Hubert Kario
Modified: 2019-08-06 13:08 UTC (History)
4 users (show)

Fixed In Version: nss-3.43.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:08:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1413596 '--' 'RESOLVED' 'export of RSA-PSS key to PKCS#12 drops the RSA-PSS identifier' 2019-12-06 15:38:40 UTC
Red Hat Bugzilla 1431210 'high' 'CLOSED' 'Import of pkcs#12 with RSA-PSS certificates does not work with pk12util' 2019-12-06 15:38:39 UTC
Red Hat Bugzilla 1708260 'medium' 'NEW' 'RSA-PSS keys generated by NSS when exported to PKCS#12 file use the rsaEncryption identifier' 2019-12-06 15:38:39 UTC
Red Hat Product Errata RHSA-2019:2237 None None None 2019-08-06 13:08:53 UTC

Internal Links: 1431210 1708260

Description Hubert Kario 2017-11-01 16:59:42 UTC
Description of problem:
When a private key with rsassaPss is imported from a PKCS#12 file to NSS database and later exported, the private key looses the rsassaPSS identifier, the key is exported as a regular rsaEncryption key.

Version-Release number of selected component (if applicable):
3.34

How reproducible:
Always

Steps to Reproduce:
1. import pkcs#12 file with RSA-PSS key
2. export key to pkcs#12 file
3. inspect decrypted key 

Actual results:
rsaEncryption OID used, NULL parameters

Expected results:
rsassaPss OID used, no parameters

Additional info:

Comment 2 Simo Sorce 2019-02-11 15:39:13 UTC
This issue was not selected to be included either in Red Hat Enterprise Linux 7.7 because it is seen either as low or moderate impact to a small amount of use-cases. The next release will be in Maintenance Support 1 Phase, which means that qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. We will now close this issue, but if you believe that it qualifies for the Maintenance Support 1 Phase, please re-open; otherwise we recommend moving the request to Red Hat Enterprise Linux 8 if applicable.

Comment 14 errata-xmlrpc 2019-08-06 13:08:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2237


Note You need to log in before you can comment on or make changes to this bug.